# Linux resources for GPD Win 3

This repo contains the resources I used to get Linux running on my GPD Win 3. For the most part it's just going to be some scripts and notes.

This was done on the initial IndieGoGo-release of the Win 3. The limited-edition Silver with an i7-1165G7.

**I currently run Ubuntu 21.04 on my GPD Win 3, issues may vary and scripts break if you use different distros.**

![Photo of GPD Win 3 running Linux](win3-lin.jpg)

# System "requirements"

As always with Linux, setup will vary from distro to distro. But there's some basics that should be in place regardless of distro:

  - Linux kernel 5.11+ (Saw good improvements to Intel Xe graphics support)
  - Mesa version as recent as possible
  - If gaming on Steam, set "Proton Experimental" as compatibility tool (Many games fail to launch with any numbered release)

And last but not least:

 - Patience

Intel Xe graphics are very recent, and so are the drivers. Regardless of platform. You **WILL** encounter graphical bugs and compatibility issues with games, until Intel irons out their drivers more.

Surprisingly that's mostly it. Keyboard, gamepad, ports, WiFi, Bluetooth and most other things just work as long as your kernel is recent enough.

# Table of contents

- [Main Issues](docs/Main-issues.md)
- [Quirks](docs/Quirks.md)
